body,
html {
  height: 100%;
  margin: 0;
  font-family: "Arial", sans-serif;
  background: #f0f0f0;
  color: #202020;
}

.content {
  position: relative;
  top: 25%;
  width: 100%;
  text-align: center;
}

#uploadForm {
  background: #ffffff;
  display: inline-block;
  padding: 20px;
  border: 2px solid #202020;
  border-radius: 10px;
}

input,
button {
  padding: 10px;
  margin: 5px;
  border-radius: 10px;
  border: 2px solid #202020;
  background: transparent;
  color: #202020;
  outline: none;
}

button {
  background-color: #202020;
  color: #ffffff;
  cursor: pointer;
  font-weight: bold;
  transition: background-color 0.2s, transform 0.2s;
}

button:hover {
  background-color: #404040;
  transform: scale(1.05);
}

#loading {
  display: none;
  width: 40px;
  height: 40px;
  border: 4px solid #f0f0f0;
  border-top: 4px solid #202020;
  border-radius: 50%;
  animation: spin 2s linear infinite;
  margin: 20px auto;
}

#responseContainer {
  color: #202020;
  background: #ffffff;
  border: 2px solid #202020;
  margin-top: 20px;
  padding: 20px;
  border-radius: 10px;
  display: none;
  width: 75%;
  text-align: left;

  margin-left: auto;
  margin-right: auto;
}

.hidden {
  display: none;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
